Name:		adcli
Version:	0.9.2
Release:	%mkrel 1
Summary:	Active Directory enrollment
Group:		System/Networking
License:	LGPL-2.1-or-later
URL:		https://www.freedesktop.org/software/realmd/adcli/adcli.html
Source0:	https://gitlab.freedesktop.org/realmd/adcli/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(ldap)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(com_err)
BuildRequires:	xmlto

Requires:	sasl-plug-gssapi

%description
adcli is a tool for joining an Active Directory domain using
standard LDAP and Kerberos calls.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

# Remove zero-length file.
rm %{buildroot}%{_docdir}/%{name}/adcli-docs.proc

%check
make check

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%doc %{_docdir}/%{name}/*
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Tue Jun 04 2024 daviddavid <daviddavid> 0.9.2-1.mga10
+ Revision: 2069634
- initial package adcli (mga#27369)

